events {}

http {
        include       /etc/nginx/mime.types;
        default_type  application/octet-stream;

    server {
        client_max_body_size 2M;
        listen 443 ssl;
        server_name _;
        root /usr/share/nginx/html;

        ssl_certificate     /etc/nginx/ssl/server.crt;
        ssl_certificate_key /etc/nginx/ssl/server.key;

        ssl_protocols       TLSv1.2 TLSv1.3;
        ssl_ciphers         HIGH:!aNULL:!MD5;

        location /api/ {
        proxy_pass http://chore-app-backend:5000/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        }

location /events {
    proxy_pass http://chore-app-backend:5000/events;
    proxy_set_header Host $host;
    proxy_set_header Connection '';
    proxy_http_version 1.1;
    chunked_transfer_encoding off;
    proxy_buffering off;
    proxy_cache off;
    proxy_read_timeout 36000s;
    proxy_send_timeout 36000s;
}

        location / {
            try_files $uri $uri/ /index.html;
        }    
    }
}